{
	"loader": "neoforge:separate_transforms",
	"gui_light": "front",
	"base":
	{
		"parent": "overdrive_that_matters:item/energy_sword_unpowered"
	},
	"perspectives": {
		"gui": {
			"parent": "overdrive_that_matters:item/energy_sword_inventory"
		},
		"fixed": {
			"parent": "overdrive_that_matters:item/energy_sword_inventory"
		},
		"ground": {
			"parent": "overdrive_that_matters:item/energy_sword_inventory"
		}
	},
  "overrides": [
    { "predicate": { "overdrive_that_matters:is_powered": 1.0 }, "model": "overdrive_that_matters:item/energy_sword_powered" }
  ]
}